## StEntry StEntry — Widget for displaying text |

## Functions

StWidget * | st_entry_new ()
const gchar * | st_entry_get_text ()
void | st_entry_set_text ()
ClutterActor * | st_entry_get_clutter_text ()
void | st_entry_set_hint_text ()
const gchar * | st_entry_get_hint_text ()
void | st_entry_set_input_purpose ()
GtkInputPurpose | st_entry_get_input_purpose ()
void | st_entry_set_input_hints ()
GtkInputHints | st_entry_get_input_hints ()
void | st_entry_set_primary_icon ()
void | st_entry_set_secondary_icon ()
void | (*StEntryCursorFunc) ()
void | st_entry_set_cursor_func ()

## Properties

ClutterText * | clutter-text | Read
gchar * | hint-text | Read / Write
GtkInputHints | input-hints | Read / Write
GtkInputPurpose | input-purpose | Read / Write
gchar * | text | Read / Write

## Signals

void | primary-icon-clicked | Run Last
void | secondary-icon-clicked | Run Last

## Types and Values

#define | ST_TYPE_ENTRY
struct | StEntryClass
| StEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StEntry

## Implemented Interfaces

StEntry implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StEntry is a simple widget for displaying text. It derives from StWidget to add extra style and placement functionality over ClutterText. The internal ClutterText is publicly accessibly to allow applications to set further properties.

StEntry supports the following pseudo style states:

- focus: the widget has focus

- indeterminate: the widget is showing the hint text

## Functions

### st_entry_new ()

    StWidget *
    st_entry_new (const gchar *text);

Create a new StEntry with the specified entry

#### Parameters

text | text to set the entry to |

#### Returns

a new StEntry

### st_entry_get_text ()

    const gchar *
    st_entry_get_text (StEntry *entry);

Get the text displayed on the entry

#### Parameters

entry | a StEntry |

#### Returns

the text for the entry. This must not be freed by the application

### st_entry_set_text ()

    void
    st_entry_set_text (StEntry *entry,
                       const gchar *text);

Sets the text displayed on the entry

#### Parameters

entry | a StEntry |
text | text to set the entry to. | [nullable]

### st_entry_get_clutter_text ()

    ClutterActor *
    st_entry_get_clutter_text (StEntry *entry);

Retrieve the internal ClutterText so that extra parameters can be set

#### Parameters

entry | a StEntry |

#### Returns

the ClutterText used by StEntry. The entry is owned by the StEntry and should not be unref'ed by the application.

[transfer none]

### st_entry_set_hint_text ()

    void
    st_entry_set_hint_text (StEntry *entry,
                            const gchar *text);

Sets the text to display when the entry is empty and unfocused. When the entry is displaying the hint, it has a pseudo class of "indeterminate". A value of NULL unsets the hint.

#### Parameters

entry | a StEntry |
text | text to set as the entry hint. | [nullable]

### st_entry_get_hint_text ()

    const gchar *
    st_entry_get_hint_text (StEntry *entry);

Gets the text that is displayed when the entry is empty and unfocused

#### Parameters

entry | a StEntry |

#### Returns

the current value of the hint property. This string is owned by the StEntry and should not be freed or modified.

### st_entry_set_input_purpose ()

    void
    st_entry_set_input_purpose (StEntry *entry,
                                GtkInputPurpose purpose);

Sets the “input-purpose” property which can be used by on-screen keyboards and other input methods to adjust their behaviour.

#### Parameters

entry | a StEntry |
purpose | the purpose |

### st_entry_get_input_purpose ()

    GtkInputPurpose
    st_entry_get_input_purpose (StEntry *entry);

Gets the value of the “input-purpose” property.

#### Parameters

entry | a StEntry |

### st_entry_set_input_hints ()

    void
    st_entry_set_input_hints (StEntry *entry,
                              GtkInputHints hints);

Sets the “input-hints” property, which allows input methods to fine-tune their behaviour.

#### Parameters

entry | a StEntry |
hints | the hints |

### st_entry_get_input_hints ()

    GtkInputHints
    st_entry_get_input_hints (StEntry *entry);

Gets the value of the “input-hints” property.

#### Parameters

entry | a StEntry |

### st_entry_set_primary_icon ()

    void
    st_entry_set_primary_icon (StEntry *entry,
                               ClutterActor *icon);

Set the primary icon of the entry to `icon`

#### Parameters

entry | a StEntry |
icon | a ClutterActor. | [nullable]

### st_entry_set_secondary_icon ()

    void
    st_entry_set_secondary_icon (StEntry *entry,
                                 ClutterActor *icon);

Set the secondary icon of the entry to `icon`

#### Parameters

entry | a StEntry |
icon | an ClutterActor. | [nullable]

### StEntryCursorFunc ()

    void
    (*StEntryCursorFunc) (StEntry *entry,
                          gboolean use_ibeam,
                          gpointer data);

### st_entry_set_cursor_func ()

    void
    st_entry_set_cursor_func (StEntryCursorFunc func,
                              gpointer user_data);

This function is for private use by libgnome-shell. Do not ever use.

[skip]

## Types and Values

### ST_TYPE_ENTRY

    #define ST_TYPE_ENTRY (st_entry_get_type ())

### struct StEntryClass

    struct StEntryClass {
      StWidgetClass parent_class;

      /* signals */
      void (*primary_icon_clicked)   (StEntry *entry);
      void (*secondary_icon_clicked) (StEntry *entry);
    };

### StEntry

    typedef struct _StEntry StEntry;

## Property Details

### The `“clutter-text”` property

      “clutter-text”             ClutterText *

Internal ClutterText actor.

Flags: Read

### The `“hint-text”` property

      “hint-text”                gchar *

Text to display when the entry is not focused and the text property is empty.

Flags: Read / Write

Default value: NULL

### The `“input-hints”` property

      “input-hints”              GtkInputHints

Hints for the text field behaviour.

Flags: Read / Write

### The `“input-purpose”` property

      “input-purpose”            GtkInputPurpose

Purpose of the text field.

Flags: Read / Write

Default value: GTK_INPUT_PURPOSE_FREE_FORM

### The `“text”` property

      “text”                     gchar *

Text of the entry.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“primary-icon-clicked”` signal

    void
    user_function (StEntry *self,
                   gpointer user_data)

Emitted when the primary icon is clicked

#### Parameters

self | the StEntry |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“secondary-icon-clicked”` signal

    void
    user_function (StEntry *self,
                   gpointer user_data)

Emitted when the secondary icon is clicked

#### Parameters

self | the StEntry |
user_data | user data set when the signal handler was connected. |

Flags: Run Last